Page MenuHomePhabricator

Tech Talk: Wikimedia Foundation Technology and Product Q&A (continued)
Closed, ResolvedPublic

Description

@Rfarrand can you organize this Tech Talk around the week of February 20, please? We would keep the same setup as T153063: Wikimedia Foundation Technology and Product Q&A, just online, continuing with the list of questions.

  1. For WMF dev teams, what is the right balance between pushing own work versus seeking and supporting volunteer contributors?
  1. Do we have a plan to bring our developer documentation to the level of a top Internet website, a major free software project?
  1. How can volunteers bring ideas and influence the WMF annual plans and quarterly goals? (currently when plans are published it's too late)
  1. What vision do you see for MediaWiki and volunteer developers 5 years from now?

Event Timeline

Qgil created this task.Jan 17 2017, 7:46 AM
Qgil added a comment.Jan 24 2017, 11:15 AM

About the next sessions, we could skip the strict list and try to group topics in monthly sessions, still respecting the priorities reflected in the backlog. The next question is

  1. For WMF dev teams, what is the right balance between pushing own work versus seeking and supporting volunteer contributors?

(Slightly) Related to balancing own team work vs collaborating with others we also have

  1. Do we have a plan to bring our developer documentation to the level of a top Internet website, a major free software project?
  2. How can volunteers bring ideas and influence the WMF annual plans and quarterly goals? (currently when plans are published it's too late)
  3. What vision do you see for MediaWiki and volunteer developers 5 years from now?

This would make a good package for a Tech Talk in February about "How to support Wikimedia volunteer developers better". @srishakatux could be the facilitator of this session in her developer advocate role.
(snip)
What do you think?

Qgil assigned this task to Rfarrand.Feb 7 2017, 2:45 PM
Qgil moved this task from Backlog to February on the Developer-Advocacy (Jan-Mar-2017) board.

Assigning to Rachel for now. Feel free to reassign to @srishakatux. It just depends on how you organize for this task.

Qgil reassigned this task from Rfarrand to srishakatux.EditedApr 27 2017, 9:02 AM
Qgil moved this task from Ready to Go to May on the Developer-Advocacy (Apr-Jun 2017) board.

@srishakatux is organizing this Tech Talk on May. Reflecting this accordingly.

srishakatux closed this task as Resolved.EditedMay 9 2017, 6:31 PM
Qgil awarded a token.May 10 2017, 9:48 AM